﻿function init(){  //Función inicializar
	_root.c = _root.getNextHighestDepth();
	_root.createEmptyMovieClip("tooltip", _root.c);	
	_root.tooltip.createTextField("alt", _root.c+2, 0, 0, 10, 10);
	with (_root.tooltip.alt) {
		autoSize = true;
		border = true;
		borderColor = 0x666666;
		background = true;
		backgroundColor = 0xFFFFFF;
		html = true;
		selectable = false;
	}
	_root.formato = new TextFormat();
	_root.formato.font = "Arial"
	_root.formato.size = "14";
	_root.tooltip.createEmptyMovieClip("sombra", _root.c+1);
	_root.tooltip._visible = false;
}

//Esta función crear en la raiz del documento (_root) un nuevo movieclip vacío, al que damos por nombre
//"tooltip" y que será el contenedor la etiqueta. 
//Se crea en el mayor nivel libre, para que se vea encima de todo. Dentro de este clip, creamos un 
//campo de texto dinámico al que llamaremos "alt", y que tendrá parecido a 
//los tooltips de windows. También en este clip tooltip creamos otro clip vacío llamado "sombra", 
//que obviamente será la sombra de nuestro tooltip. 

function cambia(texto) {
	_root.tooltip._x = _xmouse+8;
	_root.tooltip._y = _ymouse-18;
	_root.tooltip.onEnterFrame = function() {
		_root.tooltip._x = _xmouse+8;
		_root.tooltip._y = _ymouse-18;
	};	
	_root.tooltip.alt.text = texto;
	_root.tooltip.alt.setTextFormat(_root.formato);
	_root.tooltip._visible = true;
	with (_root.tooltip.sombra) {
		clear();
		ancho = _root.tooltip.alt._width;
		alto = _root.tooltip.alt._height;
		beginFill(0x000000, 50);
		moveTo(0, 0);
		lineTo(ancho, 0);
		lineTo(ancho, alto);
		lineTo(0, alto);
		lineTo(0, 0);
		endFill();
		_x = 3;
		_y = 3;
	}
	
//Esta función es la principal para hacer aparecer nuestro tooltip con el texto que queramos. 
//Primeramente, posicionamos el tooltip arriba a al derecha de la posición del ratón. El texto que va a 
//aparecer lo hemos pasado como el primer parámetro de la función, es decir, "texto" es la variable que 
//contiene el texto. Segundo, le aplicamos el formato que previamente definimos en la otra 
//función usando setTextFormat. Tercero se dibuja la sombra. 
//Borramos la sombra, si hay alguna ya dibujada, usando clear();. Para hallar el ancho y alto de la 
//sombra, miramos el ancho y alto del textfield. Con beginFill(0x000000, 50); asignamos el color de 
//relleno a negro, y le ponemos un 50% de transparencia. Las cinco órdenes siguientes dibujan el 
//rectángulo de la sombra, y con endFill() cerramos el relleno. Posicionamos la sombra abajo a la 
//derecha del campo de texto, y finalmente hacemos aparecer el tooltip.

}
function para() {
	delete _root.tooltip.onEnterFrame;
	_root.tooltip._visible = false;
}

//El proceeso termina con onEnterFrame del tooltip que hacia que siguiera al mouse, y lo oculta.